# PSF-LoginServer - master - net.psforever.objects.serverobject.PlanetSideServerObject
PSF - LoginServer - master - net.psforever.objects.serverobject.PlanetSideServerObject
Keywords: PSF LoginServer master net.psforever.objects.serverobject.PlanetSideServerObject

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package affinity
  Definition Classes
    serverobject
-  package aura
  Definition Classes
    serverobject
-  package containable
  Definition Classes
    serverobject
-  package damage
  Definition Classes
    serverobject
-  package deploy
  Definition Classes
    serverobject
-  package doors
  Definition Classes
    serverobject
-  package environment
  Definition Classes
    serverobject
-  package generator
  Definition Classes
    serverobject
-  package hackable
  Definition Classes
    serverobject
-  package llu
  Definition Classes
    serverobject
-  package locks
  Definition Classes
    serverobject
-  package mblocker
  Definition Classes
    serverobject
-  package mount
  Definition Classes
    serverobject
-  package pad
  Definition Classes
    serverobject
-  package painbox
  Definition Classes
    serverobject
-  package repair
  Definition Classes
    serverobject
-  package resourcesilo
  Definition Classes
    serverobject
-  package shuttle
  Definition Classes
    serverobject
-  package structures
  Definition Classes
    serverobject
-  package terminals
  Definition Classes
    serverobject
-  package transfer
  Definition Classes
    serverobject
-  package tube
  Definition Classes
    serverobject
-  package turret
  Definition Classes
    serverobject
-  package zipline
  Definition Classes
    serverobject
- CommonMessages
- PlanetSideServerObject
- ServerObjectBuilder

o

net.psforever.objects.serverobject

# PlanetSideServerObject 

###
Companion class PlanetSideServerObject

#### object PlanetSideServerObject

Source
  PlanetSideServerObject.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlanetSideServerObject
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def UniqueActorName(obj: PlanetSideGameObject): String

   `Actor` entities require unique names over the course of the lifetime of the `ActorSystem` object.

   `Actor` entities require unique names over the course of the lifetime of the `ActorSystem` object. To produce this name, a composition of three strings separated by underscores is assembled.
   - the entity's object name; uniqueness is very low, less than 50, but helps to identify the object
   - the entity's globally unique identifier number; its uniqueness is much greater but still falls within less than 66535 possible integers; useful for locating that entity; an `Exception` can be thrown if this field was never set, but that is a condition for which it is worth throwing the `Exception`
   - the current POSIX time in milliseconds; results will remain reasonably unique; useful for taking a rough estimation of how long the entity has existed

   obj

     the entity for whom the `Actor` object will be created

   returns

     the unique name

   Exceptions thrown

     ``NoGUIDException`` if the entity has never been registered to a unique identifier system

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped